Event.SchemaChange.Target (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.transport

## Enum Event.SchemaChange.Target

- java.lang.Object
- - java.lang.Enum<Event.SchemaChange.Target>
  - - org.apache.cassandra.transport.Event.SchemaChange.Target

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Event.SchemaChange.Target>
  Enclosing class:
    Event.SchemaChange

      public static enum Event.SchemaChange.Target
      extends java.lang.Enum<Event.SchemaChange.Target>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AGGREGATE`
    `FUNCTION`
    `KEYSPACE`
    `TABLE`
    `TYPE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Event.SchemaChange.Target` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Event.SchemaChange.Target[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KEYSPACE

          public static final Event.SchemaChange.Target KEYSPACE

    - #### TABLE

          public static final Event.SchemaChange.Target TABLE

    - #### TYPE

          public static final Event.SchemaChange.Target TYPE

    - #### FUNCTION

          public static final Event.SchemaChange.Target FUNCTION

    - #### AGGREGATE

          public static final Event.SchemaChange.Target AGGREGATE

  - ### Method Detail

    - #### values

          public static Event.SchemaChange.Target[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Event.SchemaChange.Target c : Event.SchemaChange.Target.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Event.SchemaChange.Target valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation